Qlik Community

QlikView Connectors

Highlighted
Not applicable

Upgrading SAP connector from 5.7 to 5.8SR3. Do I have to first uninstall 5.7 before installing 5.8? Or can I just install over the existing 5.7?

Hi, we will be doing an upgrade of the SAP connector from 5.7 to 5.8SR3.

Do I have to first uninstall 5.7 before installing 5.8?

Or can I just install over the existing 5.7?

Also, I could find any instruction on performing rollback if the upgrade encountered an issue.

Does it mean it is as simple as re-installing the old version of the connector again?

Appreciate any advice.

Thanks!

1 Solution

Accepted Solutions
Employee
Employee

Re: Upgrading SAP connector from 5.7 to 5.8SR3. Do I have to first uninstall 5.7 before installing 5.8? Or can I just install over the existing 5.7?

Hi, here is the short version: It's recommended that you uninstall the previously installed connector on the windows side before you install the new version. To be sure you can delete the SAP Connector folders after the uninstall. Talk to you SAP resource on how to replace the sap transports (I think that you can just import the new transports and that will overwrite the old ones). If you use the extractor connector you need to stop the QlikView SAP Network Service. Rollback is uninstalling the new version and reinstalling the old one / Mats

View solution in original post

1 Reply
Employee
Employee

Re: Upgrading SAP connector from 5.7 to 5.8SR3. Do I have to first uninstall 5.7 before installing 5.8? Or can I just install over the existing 5.7?

Hi, here is the short version: It's recommended that you uninstall the previously installed connector on the windows side before you install the new version. To be sure you can delete the SAP Connector folders after the uninstall. Talk to you SAP resource on how to replace the sap transports (I think that you can just import the new transports and that will overwrite the old ones). If you use the extractor connector you need to stop the QlikView SAP Network Service. Rollback is uninstalling the new version and reinstalling the old one / Mats

View solution in original post